Package: org.codehaus.groovy.ast.expr

## [Java] Class ListExpression

- org.codehaus.groovy.ast.expr.ListExpression

- Represents a list expression [1, 2, 3] which creates a mutable List

  Authors:
    James Strachan

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `wrapped`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ListExpression ()`
    `ListExpression (List<Expression> expressions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addExpression(Expression expression)`
    `` | `Expression` | `getExpression(int i)`
    `` | `List<Expression>` | `getExpressions()`
    `` | `String` | `getText()`
    `` | `boolean` | `isWrapped()`
    `` | `void` | `setWrapped(boolean value)`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean wrapped

  - ### Constructor Detail

    - #### public ListExpression()

    - #### public ListExpression(List<Expression> expressions)

  - ### Method Detail

    - #### public void addExpression(Expression expression)

    - #### public Expression getExpression(int i)

    - #### public List<Expression> getExpressions()

    - #### public String getText()

    - #### public boolean isWrapped()

    - #### public void setWrapped(boolean value)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)